Support » Plugin: Shortcodes Ultimate » Incompatible with latest MailPoet version

Viewing 4 replies - 1 through 4 (of 4 total)
  • The conflict for the first problem (An error message appears on the page if no user is signed in) seems to lie in class Su_Shortcodes function user. If i comment out line 1308 MailPoet seems to work again. But still get the invalid email address error.

    The second problem (After every entered valid email address an error message appears that email address is invalid) is caused by the function addSubscriber in
    http://plugins.svn.wordpress.org/wysija-newsletters/tags/2.6/helpers/user.php.

    If Shortcodes Ultimate is disabled the function will receive the following content in the $data parameter:

    Array (
      [user_list] => Array (
        [list_ids] => Array ( [0] => 3 )
      )
      [user_field] => Array ( )
      [user] => Array (
        [email] => foo@bar.com
      )
      [form_id] => 1
      [action] => save
      [controller] => subscribers
      [wysija-page] => 1
    )

    If Shortcodes Ultimate is enabled the user Array is missing:

    Array (
      [user_list] => Array (
        [list_ids] => Array ( [0] => 3 )
      )
      [user_field] => Array ( )
      [wysija[email]] => foo@bar.com
      [wysija[abs][email]] =>
      [form_id] => 1
      [action] => save
      [controller] => subscribers
      [wysija-page] => 1
    )

    What generally happens for the second problem: Mailpoet has a signup form with the tag [user], Shortcodes Ultimate replaces that part of the form with something else.

    Ok actually this is a conflict that we started to generate ourselves at MailPoet.

    We’ll rollout a fix this Monday or Tuesday! 🙂

    Cheers,
    Ben

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Incompatible with latest MailPoet version’ is closed to new replies.